Subject: [mpls] Publication has been requested for draft-ietf-mpls-spl-terminology-02

From: Nicolai Leymann via Datatracker <[email-masked]>
Date: Wed, 08 Jul 2020 01:18:26 -0700

Nicolai Leymann has requested publication of draft-ietf-mpls-spl-terminology-02 as Informational on behalf of the MPLS working group.

Please verify the document's state at https://datatracker.ietf.org/doc/draft-ietf-mpls-spl-terminology/

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 8 Jul 2020 10:11:04 +0100

2.  Background

   Two sets of SPLs are defined for use in MPLS:

      The range of SPLs 0-15 is specified in RFC 3032 [RFC3032].

      The range of SPLs 0-1048575 is specified in RFC 7274 [RFC7274].

SB> That is very confusing English since you have two definitions of SPL
SB> I think you mean “The range of SPLs … THAT is specified
SB> In any case aren’t the second set ESPLs?
The next block of text ought to be explicitly linked to ESPL/ RFC7272 and the text does not do that.
      *  the values 0-15 has been reserved never to be allocated

      *  the values 15-239 are available for allocation

      *  the values 240-255 are for experimental use

      *  the values 256-1048575 are currently not available for
         allocation, and a standard tracks RFC will be needed to make
         the entire range or part of it available for allocation

======
3.  Terminology and Abbreviations

   IANA maintains a name space for 'Special-Purpose Multiprotocol Label
   Switching (MPLS) Label Values' code points [SPL-NAME-SPACE].  Within
   this name space there are two registries.  One is called the
   'Special-Purpose MPLS Label Values' registry [bSPL].  The other is
   called 'Extended Special-Purpose MPLS Label Values' registry [eSPL].
SB> That is the text and notation that should be using earlier as it is less confusing.

   The difference in the name of the name space and the first registry
   is only that the MPLS abbreviation is expanded.  This document
   changes the name of the first registry to 'Base Special-Purpose MPLS
   Label Values', but leaves the name of the latter registry unchanged
   as 'Extended Special-Purpose MPLS Label Values’.
SB> A lot of text just to change the name to reduce a name confusion.

   The following conventions will be used in specifications and when
   talking about SPLs

   o  Collectively, the two ranges are known as Special Purpose Labels
      (SPL).

   o  The special purpose labels from the lower range will be called
      Base Special Purpose Labels (bSPL).

   o  The special purpose labels from the higher range will be called
      Extended Special Purpose Labels (eSPL).

   o  The combination of the Extension Label (XL) (value 15 which is an
      bSPL, but that is also called xSPL) and an eSPL is called a
      Composite Special Purpose Label (cSPL).
SB> What is the name for the combination ELI + EL - a rhetorical question.
SB> I am not sure we need a name for the composite. We don’t have a special name for TCP+IP, and in any case it is within the definition that bSPL#15 is always followed by a <16..255> eSPL and vice versa.

========

5.  IANA Considerations

   We request that the name of the IANA registry that today is called
   "Special-Purpose MPLS Label Values" is changed to "Base Special-
   Purpose MPLS Label Values".

SB> We could replace the whole document with that single section to go for the record of the shortest RFC ever but you would need a security section. So perhaps:
5.  Introduction and IANA and Security Considerations

   We request that the name of the IANA registry that today is called
   "Special-Purpose MPLS Label Values" is changed to "Base Special-
   Purpose MPLS Label Values”. This has no security implications.
Then the Abstract could be the same as the body text.
That would be a remarkable RFC.
=======

6.  Acknowledgements

   The authors of this document would like to thank Stewart Bryant for
   careful review and constructive suggestions.
SB> You know I have no memory of reviewing this :) was that a physic comment, or an incentive :) or did I just forget?

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 8 Jul 2020 10:25:30 +0100

> On 8 Jul 2020, at 10:11, Stewart Bryant <[email-masked]> wrote:
> 
> physic
Of course I mean psychic or more likely prophetic or more likely prescient

- S

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 31 Jul 2020 14:45:02 +0100

Hi Stewart,

Sorry for fumbling this and thanks to the chairs for pointing it out during today’s meeting.

>  SB> In any case aren’t the second set ESPLs?
 
I think you have put your finger on precisely the problem that the document is addressing.
Both the original SPLs and the ESPLs are generically “SPLs”. So I would change:
 
Section 1
OLD
from the Extended SPL range [RFC8595]
NEW
from the Extended SPL (ESPL) range [RFC8595]
END
 
Section 2
OLD
   Two sets of SPLs are defined for use in MPLS: 
      The range of SPLs 0-15 is specified in RFC 3032 [RFC3032].
      The range of SPLs 0-1048575 is specified in RFC 7274 [RFC7274].
NEW
   Two sets of SPLs are defined for use in MPLS: 
      The range of SPLs 0-15 is specified in RFC 3032 [RFC3032].
      The range of ESPLs 0-1048575 is specified in RFC 7274 [RFC7274].
END
 
> The next block of text ought to be explicitly linked
>  to ESPL/ RFC7272 and the text does not do that.
 
I believe no change is needed because these bullets are nested below the (newly edited) “ESPL” entry
 
>SB> That is the text and notation that should be using earlier as it is
 
Fixed as above.
 
>SB> A lot of text just to change the name to reduce a name confusion.
 
Yes, a lot of text. That’s what happens when you don’t help us earlier in the process 😊
Personally, I don’t like documents that give explanations of how things are and how they got there: I just like simple instructions. However, I always end up writing explanations, and when you have a team you end up with even more words.
I don’t propose any changes to address this point.
 
> SB> What is the name for the combination ELI + EL - a rhetorical 
 
Well, here is a rhetorical answer: assuming that when you say “ELI” you mean “XL”, and when you say “EL” you mean “eSPL” then the answer is “cSPL”.
 
> SB> I am not sure we need a name for the composite. We don’t
> have a special name for TCP+IP, and in any case it is within
> the definition that bSPL#15 is always followed by a <16..255>
> eSPL and vice versa.
 
We promise not to require you to use the term. Others may find it useful.
 
> SB> We could replace the whole document with that single section 
> to go for the record of the shortest RFC ever but you would need
> a security section.
 
We could, but are you sure you wouldn’t have asked any questions for clarification? We ended up with this text because that’s where the discussions got us. Deleting text that has consensus is hard unless the text is actually harmful.
 
[snip]
 
=======
 
> SB> You know I have no memory of reviewing this :) was that a physic
> comment, or an incentive :) or did I just forget?
 
https://mailarchive.ietf.org/arch/msg/mpls/n0UYHWcW5VSMUOUhpF0KsTMY8-o/
 
Hope this helps,
Adrian